Name:           ssh-audit
Version:        3.3.0
Release:        %mkrel 1
Summary:        SSH server auditing
License:        MIT
Group:          Security
URL:            https://github.com/jtesta/ssh-audit
Source:         https://github.com/jtesta/ssh-audit/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/jtesta/ssh-audit/releases/download/v%{version}/%{name}-%{version}.tar.gz.sig
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
ssh-audit is a tool for ssh server auditing.

Features:
 * SSH1 and SSH2 protocol server support;
 * grab banner, recognize device or software and operating system, detect compression;
 * gather key-exchange, host-key, encryption and message authentication code algorithms;
 * output algorithm information (available since, removed/disabled, unsafe/weak/legacy, etc);
 * output algorithm recommendations (append or remove based on recognized software version);
 * output security information (related issues, assigned CVE list, etc);
 * analyze SSH version compatibility based on algorithm information;
 * historical information from OpenSSH, Dropbear SSH and libssh;

%prep
%autosetup -p1

sed -i -e '/^#!\//, 1d' src/ssh_audit/ssh_audit.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ssh_audit

install -D -p -m0644 ssh-audit.1 %{buildroot}%{_mandir}/man1/ssh-audit.1

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ssh-audit
%{_mandir}/man1/ssh-audit.1*


%changelog
* Tue Oct 29 2024 daviddavid <daviddavid> 3.3.0-1.mga10
+ Revision: 2111654
- new version: 3.3.0

* Tue Apr 23 2024 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2060697
- new version: 3.2.0

* Sun Dec 31 2023 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2024768
- initial package ssh-audit (mga#32669)

